### Enumeration

# Soup WebsocketCloseCode

#### Declaration

    enum Soup.WebsocketCloseCode

#### Description [src]

Pre-defined close codes that can be passed to `soup_websocket_connection_close()` or received from `soup_websocket_connection_get_close_code()`.

However, other codes are also allowed.

#### Members

Name | Description
--- | ---
`SOUP_WEBSOCKET_CLOSE_NORMAL` | A normal, non-error close.
`SOUP_WEBSOCKET_CLOSE_GOING_AWAY` | The client/server is going away.
`SOUP_WEBSOCKET_CLOSE_PROTOCOL_ERROR` | A protocol error occurred.
`SOUP_WEBSOCKET_CLOSE_UNSUPPORTED_DATA` | The endpoint received data of a type that it does not support.
`SOUP_WEBSOCKET_CLOSE_NO_STATUS` | Reserved value indicating that no close code was present; must not be sent.
`SOUP_WEBSOCKET_CLOSE_ABNORMAL` | Reserved value indicating that the connection was closed abnormally; must not be sent.
`SOUP_WEBSOCKET_CLOSE_BAD_DATA` | The endpoint received data that was invalid (eg, non-UTF-8 data in a text message).
`SOUP_WEBSOCKET_CLOSE_POLICY_VIOLATION` | Generic error code indicating some sort of policy violation.
`SOUP_WEBSOCKET_CLOSE_TOO_BIG` | The endpoint received a message that is too big to process.
`SOUP_WEBSOCKET_CLOSE_NO_EXTENSION` | The client is closing the connection because the server failed to negotiate a required extension.
`SOUP_WEBSOCKET_CLOSE_SERVER_ERROR` | The server is closing the connection because it was unable to fulfill the request.
`SOUP_WEBSOCKET_CLOSE_TLS_HANDSHAKE` | Reserved value indicating that the TLS handshake failed; must not be sent.